Subject: Re: bug#16206: 24.3; Incorrect unused variable byte-compiler warning in dotimes

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 20:31:20 +0200

Stefan Monnier <[email-masked]> writes:

>> But without that addition the sentence makes no sense when
>> the documentation describes the RESULT argument and then
>> at the end says that "RESULT should not be used".
>
> "Its use is deprecated".

I've touched it up further -- I thought it was unclear what "it" was
referring to, and I've now also mentioned that using it may result in
byte compilation warnings.

With that change, I don't think there's anything more to fix here.  It
was mentioned that perhaps cl-dotimes should have a different
implementation, but I, too, think the RESULT bit is awkward, so I don't
think it's worth it.  So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no